# Authentication

#### new Authentication(options)

Creates a new Auth0 Authentication API client

Source:
  - authentication/index.js, line 28
See:
  - https://auth0.com/docs/api/authentication

##### Parameters:

Name | Type | Description
--- | --- | ---

`options`

`Object`

Name | Type | Attributes | Description
--- | --- | --- | ---
`domain` | `String` |  | your Auth0 domain
`clientID` | `String` |  | your Auth0 client identifier obtained when creating the client in the Auth0 Dashboard
`redirectUri` | `String` | <optional> | url that the Auth0 will redirect after Auth with the Authorization Response
`responseType` | `String` | <optional> | type of the response used by OAuth 2.0 flow. It can be any space separated list of the values `code`, `token`, `id_token`. https://openid.net/specs/oauth-v2-multiple-response-types-1_0
`responseMode` | `String` | <optional> | how the Auth response is encoded and redirected back to the client. Supported values are `query`, `fragment` and `form_post`. https://openid.net/specs/oauth-v2-multiple-response-types-1_0.html#ResponseModes
`scope` | `String` | <optional> | scopes to be requested during Auth. e.g. `openid email`
`audience` | `String` | <optional> | identifier of the resource server who will consume the access token issued after Auth